org.eclipse.emf.cdo.view

## Interface CDOUnitManager

- All Superinterfaces:
    IContainer<CDOUnit>, INotifier

      public interface CDOUnitManager
      extends IContainer<CDOUnit>

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOUnitManager.UnitExistsException`
    `static class` | `CDOUnitManager.UnitNotFoundException`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOUnit` | `createUnit(EObject root, boolean open, IProgressMonitor monitor)`
    `CDOUnit` | `getOpenUnit(EObject object)`
    `CDOUnit[]` | `getOpenUnits()`
    `CDOView` | `getView()`
    `boolean` | `isAutoResourceUnitsEnabled()`
    `boolean` | `isUnit(EObject root)`
    `CDOUnit` | `openUnit(EObject root, boolean createOnDemand, IProgressMonitor monitor)`
    `void` | `setAutoResourceUnitsEnabled(boolean enabled)`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getView

          CDOView getView()

    - #### isUnit

          boolean isUnit(EObject root)

    - #### createUnit

          CDOUnit createUnit(EObject root,
                             boolean open,
                             IProgressMonitor monitor)
                      throws CDOUnitManager.UnitExistsException

      Throws:
        `CDOUnitManager.UnitExistsException`

    - #### openUnit

          CDOUnit openUnit(EObject root,
                           boolean createOnDemand,
                           IProgressMonitor monitor)
                    throws CDOUnitManager.UnitNotFoundException

      Throws:
        `CDOUnitManager.UnitNotFoundException`

    - #### getOpenUnit

          CDOUnit getOpenUnit(EObject object)

    - #### getOpenUnits

          CDOUnit[] getOpenUnits()

    - #### isAutoResourceUnitsEnabled

          boolean isAutoResourceUnitsEnabled()

    - #### setAutoResourceUnitsEnabled

          void setAutoResourceUnitsEnabled(boolean enabled)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html